Contents

# On...GoSub Statement; On...GoTo Statement

Kiirote handaara hornyonni irkire, pirogiraamete giddo ranches...baasa badantino xuruurra wido.

### Syntax:

    On expression GoSub Label1[, Label2[, Label3[,...]]]
    On expression GoTo Label1[, Label2[, Label3[,...]]]

### Parameters:

expression: Any numeric expression between 0 and 255 that determines which of the lines the program branches to. If expression is 0, the statement is not executed. If expression is greater than 0, the program jumps to the label that has a position number that corresponds to the expression (1 = First label; 2 = Second label)

label: Target line according to GoTo or GoSub structure.

..Wa Ha'ri woy Ha'ri Cinaancho sumiimmo addimmo ikkitanno.

### Example:

    Sub ExampleOnGosub
    Dim iVar As Integer
    Dim sVar As String
        iVar = 2
        sVar =""
        On iVar GoSub Sub1, Sub2
        On iVar GoTo Line1, Line2
        Exit Sub
    Sub1:
        sVar =sVar & " Cinaancho 1 nni...wido" : Qolo
    Sub2:
        sVar =sVar & " Cinaancho 2 nni...wido" : Qolo
    Line1:
        sVar =sVar & " Somo 1 " : ...WaHa'ri Ende
    Line2:
        sVar =sVar & " Somo 2 "
    Ende:
        MsgBox sVar,0,"On...GoSub"
    End Sub

Fiixoo'mino umo

GoSub...Return Statement

GoTo Statement